Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class CompositeNode.CompositeNodeEnd

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.node.CompositeNode.CompositeNodeEnd

All Implemented Interfaces:
  Serializable, Contextable, ContextResolver, Node

Enclosing class:
  CompositeNode

    public class CompositeNode.CompositeNodeEnd

extends NodeImpl

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`CompositeNode.CompositeNodeEnd(Node outNode, String outType)`

Method Summary
`Node` | `getOutNode()`
`long` | `getOutNodeId()`
`String` | `getOutType()`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, addIncomingConnection, addOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeNode.CompositeNodeEnd

    public CompositeNode.CompositeNodeEnd(Node outNode,
                                          String outType)

Method Detail

### getOutNode

    public Node getOutNode()

### getOutNodeId

    public long getOutNodeId()

### getOutType

    public String getOutType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.